﻿local E, L, V, P, G = unpack(ElvUI);
local M = E:NewModule('MaUI', "AceConsole-3.0");

local LSM = LibStub('LibSharedMedia-3.0')
local EP = LibStub('LibElvUIPlugin-1.0')
local addon, ns = ...

P['MaUI'] = {
	['installed'] = nil,
}

V['MaUI'] = {
	['install_complete'] = nil,
}

local function GetOptions()
	E.Options.args.darthprofile = {
		order = 50,
		name = "MaUI",
		type = 'group',
		args = {
			button = {
				order = 1,
				name = "Install",
				type = 'execute',
				func = function() M:SetupMaUI() end,
			},
		},
	}
end

function M:Initialize() 
	EP:RegisterPlugin(addon, GetOptions)
	-- run install when ElvUI install finishes
	if E.private.install_complete == E.version and E.db.MaUI.installed == nil then self:SetupMaUI() end
end

E:RegisterModule(M:GetName())