local E, L, V, P, G, _ = unpack(ElvUI); --Inport: Engine, Locales, PrivateDB, ProfileDB, GlobalDB, Localize Underscore
local S = E:GetModule('Skins')
local GameTooltip = GameTooltip

local MaUIHelmCheck = CreateFrame("CheckButton", "MaUIHelmCheck", PaperDollFrame, "OptionsCheckButtonTemplate")
MaUIHelmCheck:ClearAllPoints()
MaUIHelmCheck:SetWidth(22)
MaUIHelmCheck:SetHeight(22)
MaUIHelmCheck:SetPoint("LEFT", CharacterHeadSlot, "RIGHT", 35, 0)
MaUIHelmCheck:SetScript("OnClick", function()
	ShowHelm(not ShowingHelm())
end)
MaUIHelmCheck:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_RIGHT")
	GameTooltip:SetText(OPTION_TOOLTIP_SHOW_HELM)
end)
MaUIHelmCheck:SetScript("OnLeave", function()
	GameTooltip:Hide()
end)
MaUIHelmCheck:SetScript("OnEvent", function()
	MaUIHelmCheck:SetChecked(ShowingHelm())
end)
MaUIHelmCheck:RegisterEvent("UNIT_MODEL_CHANGED")
MaUIHelmCheck:SetToplevel(true)

local MaUICloakCheck = CreateFrame("CheckButton", "MaUICloakCheck", PaperDollFrame, "OptionsCheckButtonTemplate")
MaUICloakCheck:ClearAllPoints()
MaUICloakCheck:SetWidth(22)
MaUICloakCheck:SetHeight(22)
MaUICloakCheck:SetPoint("LEFT", CharacterBackSlot, "RIGHT", 35, 0)
MaUICloakCheck:SetScript("OnClick", function()
	ShowCloak(not ShowingCloak())
end)
MaUICloakCheck:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_RIGHT")
	GameTooltip:SetText(OPTION_TOOLTIP_SHOW_CLOAK)
end)
MaUICloakCheck:SetScript("OnLeave", function()
	GameTooltip:Hide()
end)
MaUICloakCheck:SetScript("OnEvent", function()
	MaUICloakCheck:SetChecked(ShowingCloak())
end)
MaUICloakCheck:RegisterEvent("UNIT_MODEL_CHANGED")
MaUICloakCheck:SetToplevel(true)

MaUIHelmCheck:SetChecked(ShowingHelm())
MaUICloakCheck:SetChecked(ShowingCloak())

MaUIHelmCheck:SetFrameLevel(31)
MaUICloakCheck:SetFrameLevel(31)

S:HandleCheckBox(MaUIHelmCheck)
S:HandleCheckBox(MaUICloakCheck)